package cn.com.tenlion.systembase.pojo.dtos.excel;

import java.util.ArrayList;
import java.util.List;

/**
 * 批量导入结果实体类
 * @author renpc
 */
public class ImportResultDto {

    /**
     * 导入成功的消息列表
     */
    private List<ImportSuccessDto> successDtoList;

    /**
     * 导入失败的消息列表
     */
    private List<ImportFailDto> failDtoList;

    public ImportResultDto(List<ImportSuccessDto> successDtoList, List<ImportFailDto> failDtoList) {
        this.successDtoList = successDtoList;
        this.failDtoList = failDtoList;
    }

    public ImportResultDto(List<ImportFailDto> failDtoList) {
        this.failDtoList = failDtoList;
        this.successDtoList = new ArrayList<>();
    }

    public List<ImportSuccessDto> getSuccessDtoList() {
        if (successDtoList == null) {
            return new ArrayList<>();
        }
        return successDtoList;
    }

    public void setSuccessDtoList(List<ImportSuccessDto> successDtoList) {
        this.successDtoList = successDtoList;
    }

    public List<ImportFailDto> getFailDtoList() {
        if (failDtoList == null) {
            return new ArrayList<>();
        }
        return failDtoList;
    }

    public void setFailDtoList(List<ImportFailDto> failDtoList) {
        this.failDtoList = failDtoList;
    }
}
